!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2006. All rights reserved.
!---------------------------------------------------------------------

module phys_vfilter_none_mod
  !
  != 物理過程 鉛直フィルター(保存バージョン)モジュール
  !
  !== 概要
  !
  ! ダミー
  !
  use type_mod,    only : REKIND, DBKIND, INTKIND, TOKEN, STRING

  implicit none

  private
  public :: phys_vfilter

contains

  subroutine phys_vfilter( & 
    & xyz_Temp   , & !(inout)
    & xyz_VelLon , & !(inout)
    & xyz_VelLat , & !(inout)
    & xyr_Temp   , & !(in) 
    & xyr_Press  , & !(in)
    & DelTimePhy )   !(in)
    !
    != ダミー版
    !
    !== 概要
    !
    ! 何もしない.
    !
    !== HISTORY
    ! * 2007-05-21 M. Ishiwatari
    !
    use type_mod,      only: REKIND, DBKIND, INTKIND, TOKEN, STRING
    use grid_3d_mod,   only: im, jm, km
    use dc_trace,    only: SetDebug, BeginSub, EndSub, DbgMessage, DataDump
    use dc_message, only: MessageNotify

    real(DBKIND), intent(inout) :: xyz_Temp   ( im*jm, km ) ! 温度Ｔ
    real(DBKIND), intent(inout) :: xyz_VelLon ( im*jm, km ) ! Ｕ
    real(DBKIND), intent(inout) :: xyz_VelLat ( im*jm, km ) ! Ｖ

    real(DBKIND), intent(in) :: xyr_Press ( im*jm, km+1 ) ! 気圧
    real(DBKIND), intent(in) :: xyr_Temp  ( im*jm, km+1 ) ! 温度
    real(DBKIND), intent(in) :: DelTimePhy                ! 2 Δt

    character(STRING),  parameter:: subname = "phys_vfilter"

    continue

    ! 開始処理
    call BeginSub(subname)

    ! 終了処理
    call EndSub(subname)

  end subroutine phys_vfilter

end module phys_vfilter_none_mod

